package com.adealink.weparty.im.session.mesasge

import com.adealink.frame.aab.util.getCompatString
import com.adealink.weparty.im.R
import com.tencent.imsdk.v2.V2TIMMessage
import com.tencent.qcloud.tuikit.timcommon.bean.TUIMessageBean
import com.tencent.qcloud.tuikit.timcommon.bean.TUIReplyQuoteBean
import com.tencent.qcloud.tuikit.tuichat.bean.message.reply.TextReplyQuoteBean

class InVisibleMessageBean : TUIMessageBean() {

    var bean: TUIMessageBean? = null
        set(value) {
            v2TIMMessage = value?.v2TIMMessage
        }

    override fun onGetDisplayString(): String? {
        return getCompatString(R.string.im_playmate_order_title)
    }

    override fun onProcessMessage(v2TIMMessage: V2TIMMessage) {
    }

    override fun getReplyQuoteBeanClass(): Class<out TUIReplyQuoteBean<*>?> {
        return TextReplyQuoteBean::class.java
    }
}
